local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.WorldBossandRares(container)



-- Shadowlands Tab
local function DrawGroup1(container)
 
core.ShadowlandsWorldBossandRares(container)

end

-- BFA Tab
local function DrawGroup2(container)

core.BFAWorldBossandRares(container)

end

-- Legion Tab
local function DrawGroup3(container)

core.LegionWorldBossandRares(container)

end

-- Wod Tab
local function DrawGroup4(container)

core.WodWorldBossandRares(container)

end

-- Mop Tab
local function DrawGroup5(container)

core.MopWorldBossandRares(container)

end


-- Cata Tab
local function DrawGroup6(container)

core.CataWorldBossandRares(container)

end

-- Wotlk Tab
local function DrawGroup7(container)

core.WotlkWorldBossandRares(container)

end




local function SelectGroup(container, event, group)
   container:ReleaseChildren()
   if group == "tab1" then
      DrawGroup1(container)
   elseif group == "tab2" then
      DrawGroup2(container)
   
      elseif group == "tab3" then
      DrawGroup3(container)
   
      elseif group == "tab4" then
      DrawGroup4(container)
   
      elseif group == "tab5" then
      DrawGroup5(container)
      elseif group == "tab6" then
      DrawGroup6(container)
      elseif group == "tab7" then
      DrawGroup7(container)

   
   end
end


local frame = AceGUI:Create("Frame")
frame:SetTitle("World Boss, Rare Mounts")
frame:SetStatusText("|cff00C78CWorthIt-Guides")
frame:SetWidth(400)
frame:SetHeight(500)
frame:SetCallback("OnClose", function(widget) AceGUI:Release(widget) end)


frame:SetLayout("Fill")



local tab =  AceGUI:Create("TabGroup")
tab:SetLayout("Flow")
tab:SetTabs({{text="Shadowlands", value="tab1"}, {text="BFA", value="tab2"}, {text="Legion", value="tab3"}, {text="Wod", value="tab4"}, {text="Mop", value="tab5"}, {text="Cata", value="tab6"}, {text="Wotlk", value="tab7"}})
tab:SetCallback("OnGroupSelected", SelectGroup)
tab:SelectTab("tab1")

frame:AddChild(tab)











end